/*
Configuration for branch-specific config.local settings.

To specify a specific config.local value for a feature branch, add to the object below.

    myBranch: {
        defaultChromeUiHost: 'https://mybranch-dev.dev.bombbomb.io',
        ...
    }

This file will be read by scripts/deploy_json_files.js when the `--branch` flag is passed.
These values will then be used to create a config.local.js for the build.

Note: this uses module.exports because we read it from ES5.
*/
/* eslint-disable quote-props */
module.exports.branches = {
    // this is the default for all branch builds
    _default: {
        defaultChromeUiHost: 'https://development-chrome-ui.dev.bombbomb.io',
        showChromeUIPicker: true,
    },
    beta: {
        defaultChromeUiHost: 'https://beta-chrome-ui.dev.bombbomb.io',
        showChromeUIPicker: false,
    },
    master: {
        defaultChromeUiHost: 'https://chrome-ui.bombbomb.io',
        showChromeUIPicker: false,
    },
    'release-5-2': {
        defaultChromeUiHost: 'https://release-5-2-chrome-ui.dev.bombbomb.io',
        showChromeUIPicker: false,
    },
    'EX-4992-reactions': {
        defaultChromeUiHost: 'https://ex-4992-reactions-chrome-ui.dev.bombbomb.io',
        showChromeUIPicker: false,
    },
    'EX-5055-notif-test1': {
        debug: 'ce:global:featureflags,ce:background:services:AlarmService,ce:background:events:AlarmEventHandler,ce:background:lazystart:DesktopNotificationTest1,ce:background:notifications,ce:global:metric:sendMetric',
        features: {
            NotificationTest: true,
        },
    },
    'EX-3866-fullstory': {
        defaultChromeUiHost: 'https://ex-3866-fullstory-chrome-ui.dev.bombbomb.io',
        showChromeUIPicker: false,
    },
    'EX-6760-gmail-recorder-metrics': {
        defaultChromeUiHost: 'https://ex-6764-recorder-metrics-chrome-ui.dev.bombbomb.io',
        showChromeUIPicker: false,
    },
};
