/*
Add default configuration for production here. All development/local configuration
changes should be made in config.local or in config.branches for TeamCity build
versions.

Note: this uses module.exports because we read this in ES5.
*/
module.exports.productionConfig = {
    env: 'production',

    // leave this empty/null for everything except for branch builds (handled
    // in our build process). this is mostly here so we don't have to write
    // conditionals to see if it's here first
    branchName: null,

    // change the debug module enabled contexts
    debug: '',

    defaultChromeUiHost: 'chrome-ui.bombbomb.io',

    features: {
        // update Google hooks via S3
        hooksUpdater: true,

        // check the user's session against the web app
        checkSession: false,

        // use login.bombbomb.com instead of .io
        loginDotCom: true,

        // periodically check a user's subscription
        subscriptionCheck: true,

        menuTeamLink: true,
        menuSubscriptionLink: true,

        // livefire killswitch
        ChromeKillLivefire: false,
    },

    sniplets: 'https://sniplets.bombbomb.com',
    bixel: 'https://bb.bixel.io',
    logging: 'https://lumberjack.bombbomb.io',
    metroLogging: 'https://metro.bombbomb.io/log',
    metrics: 'https://metro.bombbomb.io/metric',
    featureUsage: 'https://metro.bombbomb.io/featureUsage',
    yardstick: 'https://yardstick.bombbomb.io',
    livefire: 'https://livefire.bombbomb.com',
    app: 'https://app.bombbomb.com',
    api: 'https://api.bombbomb.com',
    loginExpires: null,

    showChromeUIPicker: false,

    oAuthResponseType: 'token',
    oAuthIncludeExtensionId: false,
    openInstallPageInNewTab: false,

    // related to hooksUpdater feature flag
    hooksBaseUrl: 'https://static.bombbomb.com/ce',
};
